%define	upstream_name    Tk
%define upstream_version 804.031

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Tk modules for Perl
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz
# modified version of http://ftp.de.debian.org/debian/pool/main/p/perl-tk/perl-tk_804.027-8.diff.gz
Patch1:		perl-Tk-debian.patch
# fix segfaults as in #235666 because of broken cashing code
Patch2:		perl-Tk-seg.patch
Patch3:		Tk-804.030-xlib.patch

BuildRequires:	perl-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	libx11-devel
BuildRequires:	libxft-devel
BuildRequires:	fontconfig-devel

Provides:	perl(Tk::TextReindex)
Provides:	perl(Tk::LabRadio)
# to remove on upgrade (misc)
Obsoletes:	perl-Tk-PNG

%package	devel
Summary:	Tk modules for Perl (development package)
Group:		Development/Perl
Requires:	perl-Tk = %{version}-%{release}

%package	doc
Summary:	Tk modules for Perl (documentation package)
Group:		Development/Perl
Requires:	perl-Tk = %{version}-%{release}

%description
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk),
and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

%description	devel
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk),
and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

This is the development package.

%description	doc
This package provides the modules and Tk code for Perl/Tk,
as written by Nick Ing-Simmons (pTk), John Ousterhout(Tk),
and Ioi Kim Lam(Tix).
It gives you the ability to develop perl applications using the Tk GUI.
It includes the source code for the Tk and Tix elements it uses.
The licences for the various components differ, so check the copyright.

This is the documentation package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod -x pod/Popup.pod Tixish/lib/Tk/balArrow.xbm
# debian patch
%patch1 -p1
# patch to fix #235666 ... seems like caching code is broken
%patch2 -p0
%patch3 -p0 -b .xlib

find . -type f | xargs perl -pi -e 's|^#!.*/bin/perl\S*|#!/usr/bin/perl|'
# Make it lib64 aware, avoid patch
perl -pi -e "s,(/usr/X11(R6|\\*)|\\\$X11|\(\?:)/lib,\1/%{_lib},g" \
  myConfig pTk/mTk/unix/configure
#(peroyvind) --center does no longer seem to be working, obsoleted by -c
perl -pi -e "s#--center#-c#" ./Tk/MMutil.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor XFT=1
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%{__chmod} 644 %{buildroot}%{_mandir}/man3*/*

# Remove unpackaged files, add them if you find a use
# Tie::Watch is packaged separately
rm -f %{buildroot}%{perl_vendorarch}/Tk/prolog.ps
rm -f %{buildroot}%{_mandir}/man1/{ptk{ed,sh},widget}.1*

## compress all .pm files (as using perl-PerlIO-gzip).
#find %{buildroot} -name "*.pm" | xargs gzip -9

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ToDo Changes README README.linux META.yml
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorarch}/Tk.pm*
%dir %{perl_vendorarch}/Tk
%{perl_vendorarch}/Tie/Watch.pm
%{perl_vendorarch}/Tk/*.pm*
%{perl_vendorarch}/Tk/*.gif
%{perl_vendorarch}/Tk/*.xbm
%{perl_vendorarch}/Tk/*.xpm
%{perl_vendorarch}/Tk/license.terms
%{perl_vendorarch}/Tk/Credits
%{perl_vendorarch}/Tk/DragDrop
%{perl_vendorarch}/Tk/Event
%{perl_vendorarch}/Tk/Menu
%{perl_vendorarch}/Tk/Text
%{perl_vendorarch}/Tk/demos
%{perl_vendorarch}/auto/Tk

%files devel
%defattr(-,root,root)
%doc COPYING Funcs.doc INSTALL
%{perl_vendorarch}/Tk/pTk
%{perl_vendorarch}/Tk/*.def
%{perl_vendorarch}/Tk/*.h
%{perl_vendorarch}/Tk/*.m
%{perl_vendorarch}/Tk/*.t
%{perl_vendorarch}/Tk/typemap

%files doc
%defattr(-,root,root)
%doc COPYING
%{perl_vendorarch}/Tk.pod
%{perl_vendorarch}/Tk/*.pod
%{perl_vendorarch}/Tk/README.Adjust


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 804.31.0-2.mga4
+ Revision: 524134
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 804.31.0-1.mga4
+ Revision: 430181
- new release
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 804.30.0-4.mga3
+ Revision: 374381
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 shlomif <shlomif> 804.30.0-3.mga3
+ Revision: 298677
- Updated Group to right one. New release - mkrel 3

* Wed May 30 2012 jquelin <jquelin> 804.30.0-2.mga3
+ Revision: 251275
- rebuild for perl 5.16

* Tue Nov 15 2011 jquelin <jquelin> 804.30.0-1.mga2
+ Revision: 167978
- patch renamed
- update to 804.030

* Mon Sep 19 2011 fwang <fwang> 804.29.0-9.mga2
+ Revision: 145228
- rebuild for new libpng

* Mon Sep 05 2011 fwang <fwang> 804.29.0-8.mga2
+ Revision: 138597
- rebuild for updated perl build flags

* Sat Jun 11 2011 sander85 <sander85> 804.29.0-7.mga2
+ Revision: 103877
- perl 5.14

* Sat Feb 26 2011 jquelin <jquelin> 804.29.0-6.mga1
+ Revision: 60550
- perl-tie-watch no longer bundled with perl-tk

* Sat Jan 22 2011 jquelin <jquelin> 804.29.0-5.mga1
+ Revision: 31386
- mageia rebuild
- imported package perl-Tk


* Sat Jan 01 2011 Funda Wang <fwang@mandriva.org> 804.29.0-5mdv2011.0
+ Revision: 626994
- fix build with latest xlib

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 804.29.0-4mdv2011.0
+ Revision: 564587
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 804.29.0-3mdv2011.0
+ Revision: 555296
- rebuild

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 804.29.0-2mdv2011.0
+ Revision: 553268
- tie::watch no longer distributed in its own dist - using & shipping the one embedded in tk dist

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 804.29.0-1mdv2011.0
+ Revision: 552709
- update to 804.029

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 804.28.0-15mdv2010.1
+ Revision: 488794
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 804.28.0-14mdv2010.0
+ Revision: 416663
- rebuilt against libjpeg v7

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 804.28.0-13mdv2010.0
+ Revision: 399401
- update seg patch from fedora: our (old) version was preventing menus to
  appear.
  see https://bugzilla.redhat.com/show_bug.cgi?id=431330

* Sun Jun 21 2009 Jérôme Quelin <jquelin@mandriva.org> 804.28.0-12mdv2010.0
+ Revision: 387686
- fix bug 40359: removing broken patch that prevents 'widget' demo from working
- using %%perl_convert_version
- fix license tag

* Sun May 10 2009 Jérôme Quelin <jquelin@mandriva.org> 804.028-11mdv2010.0
+ Revision: 373948
- fix #50751

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 804.028-10mdv2009.1
+ Revision: 366103
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 804.028-9mdv2009.0
+ Revision: 224581
- rebuild

* Wed Mar 19 2008 Oden Eriksson <oeriksson@mandriva.com> 804.028-8mdv2008.1
+ Revision: 188810
- fix #38879 (fixes CVE-2006-4484, CVE-2007-6697)

* Sun Feb 03 2008 David Walluck <walluck@mandriva.org> 804.028-7mdv2008.1
+ Revision: 161620
- fix perl-Tk Requires
- add BuildRequires on jpeg-devel and png-devel
- add patches from Fedora
- rebuild

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Rebuild for new perl

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 804.028-1mdv2008.1
+ Revision: 133606
- update to new version 804.028

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Tue Nov 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 804.027-8mdv2008.1
+ Revision: 106542
-enable XFT support (jq)
-spec cleanup
-original sources format


* Thu Jun 22 2006 Michael Scherer <misc@mandriva.org> 804.027-7mdv2007.0
- add a Obsoletes on perl-Tk-PNG as it is now included in the source

* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu> 804.027-6
- rebuild for png
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 804.027-5mdk
- Rebuild

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 804.027-4mdk
- Require Tie::Watch

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 804.027-3mdk
- rebuild for new perl

* Thu May 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 804.027-2mdk
- Remove the manpage for Tie::Watch (which is packaged separately)

* Thu Apr 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 804.027-1mdk
- 804.027

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 800.024-4mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro
- fix no longer working --center option to pod2man

